Creates an activation workflow attached to the entitlement.
const url = 'https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/activation-workflow';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"requiredAuthenticationLevel":"Default","preAuthorizedDevices":["example"],"fingerprint":"example","maxDeviceActivations":1,"useEntitlementMaxActivations":true,"activationCode":"example","email":"example","isTrialActivation":true,"requiresUserConsent":true,"sendUserNotification":true,"organizationGroupId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","requiredUserId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","expirationTimeStamp":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/activation-workflow \ --header 'Content-Type: application/json' \ --data '{ "requiredAuthenticationLevel": "Default", "preAuthorizedDevices": [ "example" ], "fingerprint": "example", "maxDeviceActivations": 1, "useEntitlementMaxActivations": true, "activationCode": "example", "email": "example", "isTrialActivation": true, "requiresUserConsent": true, "sendUserNotification": true, "organizationGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "requiredUserId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "expirationTimeStamp": "2026-04-15T12:00:00Z" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Target entitlement.
Request Bodyrequired
Section titled “Request Bodyrequired”Workflow payload.
Admin request to create a license activation workflow for an entitlement: the contract (authentication level, code, device/user restrictions, limits) under which end users may activate. Null properties fall back to entitlement or platform defaults.
object
Authentication level a user must meet before a license activation is permitted. Used on activation policies and activation workflows.
Admin request to create a license activation workflow for an entitlement: the contract (authentication level, code, device/user restrictions, limits) under which end users may activate. Null properties fall back to entitlement or platform defaults.
object
Authentication level a user must meet before a license activation is permitted. Used on activation policies and activation workflows.
Admin request to create a license activation workflow for an entitlement: the contract (authentication level, code, device/user restrictions, limits) under which end users may activate. Null properties fall back to entitlement or platform defaults.
object
Authentication level a user must meet before a license activation is permitted. Used on activation policies and activation workflows.
Responses
Section titled “Responses”OK
Admin read model of a license activation workflow, including the issued activation code, registered device fingerprints, use counters, and expiration.
object
Authentication level a user must meet before a license activation is permitted. Used on activation policies and activation workflows.
Admin read model of a license activation workflow, including the issued activation code, registered device fingerprints, use counters, and expiration.
object
Authentication level a user must meet before a license activation is permitted. Used on activation policies and activation workflows.
Example
{ "requiredAuthenticationLevel": "Default"}Admin read model of a license activation workflow, including the issued activation code, registered device fingerprints, use counters, and expiration.
object
Authentication level a user must meet before a license activation is permitted. Used on activation policies and activation workflows.
Example
{ "requiredAuthenticationLevel": "Default"}Bad Request
object
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}